Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.compiler
Interface ITerminalSymbols

public interface ITerminalSymbols

Maps each terminal symbol in the java-grammar into a unique integer. This integer is used to represent the terminal when computing a parsing action.

Since:
  2.0
See Also:
  `IScanner`

Field Summary
`static int` | `TokenNameabstract`
`static int` | `TokenNameAND`
`static int` | `TokenNameAND_AND`
`static int` | `TokenNameAND_EQUAL`
`static int` | `TokenNameassert` "assert" token (added in J2SE 1.4).
`static int` | `TokenNameAT` "@" token (added in J2SE 1.5).
`static int` | `TokenNameboolean`
`static int` | `TokenNamebreak`
`static int` | `TokenNamebyte`
`static int` | `TokenNamecase`
`static int` | `TokenNamecatch`
`static int` | `TokenNamechar`
`static int` | `TokenNameCharacterLiteral`
`static int` | `TokenNameclass`
`static int` | `TokenNameCOLON`
`static int` | `TokenNameCOMMA`
`static int` | `TokenNameCOMMENT_BLOCK`
`static int` | `TokenNameCOMMENT_JAVADOC`
`static int` | `TokenNameCOMMENT_LINE`
`static int` | `TokenNamecontinue`
`static int` | `TokenNamedefault`
`static int` | `TokenNameDIVIDE`
`static int` | `TokenNameDIVIDE_EQUAL`
`static int` | `TokenNamedo`
`static int` | `TokenNameDOT`
`static int` | `TokenNamedouble`
`static int` | `TokenNameDoubleLiteral`
`static int` | `TokenNameELLIPSIS` "..." token (added in J2SE 1.5).
`static int` | `TokenNameelse`
`static int` | `TokenNameenum` "enum" keyword (added in J2SE 1.5).
`static int` | `TokenNameEOF`
`static int` | `TokenNameEQUAL`
`static int` | `TokenNameEQUAL_EQUAL`
`static int` | `TokenNameERROR`
`static int` | `TokenNameextends`
`static int` | `TokenNamefalse`
`static int` | `TokenNamefinal`
`static int` | `TokenNamefinally`
`static int` | `TokenNamefloat`
`static int` | `TokenNameFloatingPointLiteral`
`static int` | `TokenNamefor`
`static int` | `TokenNameGREATER`
`static int` | `TokenNameGREATER_EQUAL`
`static int` | `TokenNameIdentifier`
`static int` | `TokenNameif`
`static int` | `TokenNameimplements`
`static int` | `TokenNameimport`
`static int` | `TokenNameinstanceof`
`static int` | `TokenNameint`
`static int` | `TokenNameIntegerLiteral`
`static int` | `TokenNameinterface`
`static int` | `TokenNameLBRACE`
`static int` | `TokenNameLBRACKET`
`static int` | `TokenNameLEFT_SHIFT`
`static int` | `TokenNameLEFT_SHIFT_EQUAL`
`static int` | `TokenNameLESS`
`static int` | `TokenNameLESS_EQUAL`
`static int` | `TokenNamelong`
`static int` | `TokenNameLongLiteral`
`static int` | `TokenNameLPAREN`
`static int` | `TokenNameMINUS`
`static int` | `TokenNameMINUS_EQUAL`
`static int` | `TokenNameMINUS_MINUS`
`static int` | `TokenNameMULTIPLY`
`static int` | `TokenNameMULTIPLY_EQUAL`
`static int` | `TokenNamenative`
`static int` | `TokenNamenew`
`static int` | `TokenNameNOT`
`static int` | `TokenNameNOT_EQUAL`
`static int` | `TokenNamenull`
`static int` | `TokenNameOR`
`static int` | `TokenNameOR_EQUAL`
`static int` | `TokenNameOR_OR`
`static int` | `TokenNamepackage`
`static int` | `TokenNamePLUS`
`static int` | `TokenNamePLUS_EQUAL`
`static int` | `TokenNamePLUS_PLUS`
`static int` | `TokenNameprivate`
`static int` | `TokenNameprotected`
`static int` | `TokenNamepublic`
`static int` | `TokenNameQUESTION`
`static int` | `TokenNameRBRACE`
`static int` | `TokenNameRBRACKET`
`static int` | `TokenNameREMAINDER`
`static int` | `TokenNameREMAINDER_EQUAL`
`static int` | `TokenNamereturn`
`static int` | `TokenNameRIGHT_SHIFT`
`static int` | `TokenNameRIGHT_SHIFT_EQUAL`
`static int` | `TokenNameRPAREN`
`static int` | `TokenNameSEMICOLON`
`static int` | `TokenNameshort`
`static int` | `TokenNamestatic`
`static int` | `TokenNamestrictfp`
`static int` | `TokenNameStringLiteral`
`static int` | `TokenNamesuper`
`static int` | `TokenNameswitch`
`static int` | `TokenNamesynchronized`
`static int` | `TokenNamethis`
`static int` | `TokenNamethrow`
`static int` | `TokenNamethrows`
`static int` | `TokenNametransient`
`static int` | `TokenNametrue`
`static int` | `TokenNametry`
`static int` | `TokenNameTWIDDLE`
`static int` | `TokenNameUNSIGNED_RIGHT_SHIFT`
`static int` | `TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL`
`static int` | `TokenNamevoid`
`static int` | `TokenNamevolatile`
`static int` | `TokenNamewhile`
`static int` | `TokenNameWHITESPACE`
`static int` | `TokenNameXOR`
`static int` | `TokenNameXOR_EQUAL`

Field Detail

### TokenNameWHITESPACE

    public static final int TokenNameWHITESPACE

See Also:
  Constant Field Values

### TokenNameCOMMENT_LINE

    public static final int TokenNameCOMMENT_LINE

See Also:
  Constant Field Values

### TokenNameCOMMENT_BLOCK

    public static final int TokenNameCOMMENT_BLOCK

See Also:
  Constant Field Values

### TokenNameCOMMENT_JAVADOC

    public static final int TokenNameCOMMENT_JAVADOC

See Also:
  Constant Field Values

### TokenNameIdentifier

    public static final int TokenNameIdentifier

See Also:
  Constant Field Values

### TokenNameabstract

    public static final int TokenNameabstract

See Also:
  Constant Field Values

### TokenNameassert

    public static final int TokenNameassert

  "assert" token (added in J2SE 1.4).

  See Also:
    Constant Field Values

### TokenNameboolean

    public static final int TokenNameboolean

See Also:
  Constant Field Values

### TokenNamebreak

    public static final int TokenNamebreak

See Also:
  Constant Field Values

### TokenNamebyte

    public static final int TokenNamebyte

See Also:
  Constant Field Values

### TokenNamecase

    public static final int TokenNamecase

See Also:
  Constant Field Values

### TokenNamecatch

    public static final int TokenNamecatch

See Also:
  Constant Field Values

### TokenNamechar

    public static final int TokenNamechar

See Also:
  Constant Field Values

### TokenNameclass

    public static final int TokenNameclass

See Also:
  Constant Field Values

### TokenNamecontinue

    public static final int TokenNamecontinue

See Also:
  Constant Field Values

### TokenNamedefault

    public static final int TokenNamedefault

See Also:
  Constant Field Values

### TokenNamedo

    public static final int TokenNamedo

See Also:
  Constant Field Values

### TokenNamedouble

    public static final int TokenNamedouble

See Also:
  Constant Field Values

### TokenNameelse

    public static final int TokenNameelse

See Also:
  Constant Field Values

### TokenNameextends

    public static final int TokenNameextends

See Also:
  Constant Field Values

### TokenNamefalse

    public static final int TokenNamefalse

See Also:
  Constant Field Values

### TokenNamefinal

    public static final int TokenNamefinal

See Also:
  Constant Field Values

### TokenNamefinally

    public static final int TokenNamefinally

See Also:
  Constant Field Values

### TokenNamefloat

    public static final int TokenNamefloat

See Also:
  Constant Field Values

### TokenNamefor

    public static final int TokenNamefor

See Also:
  Constant Field Values

### TokenNameif

    public static final int TokenNameif

See Also:
  Constant Field Values

### TokenNameimplements

    public static final int TokenNameimplements

See Also:
  Constant Field Values

### TokenNameimport

    public static final int TokenNameimport

See Also:
  Constant Field Values

### TokenNameinstanceof

    public static final int TokenNameinstanceof

See Also:
  Constant Field Values

### TokenNameint

    public static final int TokenNameint

See Also:
  Constant Field Values

### TokenNameinterface

    public static final int TokenNameinterface

See Also:
  Constant Field Values

### TokenNamelong

    public static final int TokenNamelong

See Also:
  Constant Field Values

### TokenNamenative

    public static final int TokenNamenative

See Also:
  Constant Field Values

### TokenNamenew

    public static final int TokenNamenew

See Also:
  Constant Field Values

### TokenNamenull

    public static final int TokenNamenull

See Also:
  Constant Field Values

### TokenNamepackage

    public static final int TokenNamepackage

See Also:
  Constant Field Values

### TokenNameprivate

    public static final int TokenNameprivate

See Also:
  Constant Field Values

### TokenNameprotected

    public static final int TokenNameprotected

See Also:
  Constant Field Values

### TokenNamepublic

    public static final int TokenNamepublic

See Also:
  Constant Field Values

### TokenNamereturn

    public static final int TokenNamereturn

See Also:
  Constant Field Values

### TokenNameshort

    public static final int TokenNameshort

See Also:
  Constant Field Values

### TokenNamestatic

    public static final int TokenNamestatic

See Also:
  Constant Field Values

### TokenNamestrictfp

    public static final int TokenNamestrictfp

See Also:
  Constant Field Values

### TokenNamesuper

    public static final int TokenNamesuper

See Also:
  Constant Field Values

### TokenNameswitch

    public static final int TokenNameswitch

See Also:
  Constant Field Values

### TokenNamesynchronized

    public static final int TokenNamesynchronized

See Also:
  Constant Field Values

### TokenNamethis

    public static final int TokenNamethis

See Also:
  Constant Field Values

### TokenNamethrow

    public static final int TokenNamethrow

See Also:
  Constant Field Values

### TokenNamethrows

    public static final int TokenNamethrows

See Also:
  Constant Field Values

### TokenNametransient

    public static final int TokenNametransient

See Also:
  Constant Field Values

### TokenNametrue

    public static final int TokenNametrue

See Also:
  Constant Field Values

### TokenNametry

    public static final int TokenNametry

See Also:
  Constant Field Values

### TokenNamevoid

    public static final int TokenNamevoid

See Also:
  Constant Field Values

### TokenNamevolatile

    public static final int TokenNamevolatile

See Also:
  Constant Field Values

### TokenNamewhile

    public static final int TokenNamewhile

See Also:
  Constant Field Values

### TokenNameIntegerLiteral

    public static final int TokenNameIntegerLiteral

See Also:
  Constant Field Values

### TokenNameLongLiteral

    public static final int TokenNameLongLiteral

See Also:
  Constant Field Values

### TokenNameFloatingPointLiteral

    public static final int TokenNameFloatingPointLiteral

See Also:
  Constant Field Values

### TokenNameDoubleLiteral

    public static final int TokenNameDoubleLiteral

See Also:
  Constant Field Values

### TokenNameCharacterLiteral

    public static final int TokenNameCharacterLiteral

See Also:
  Constant Field Values

### TokenNameStringLiteral

    public static final int TokenNameStringLiteral

See Also:
  Constant Field Values

### TokenNamePLUS_PLUS

    public static final int TokenNamePLUS_PLUS

See Also:
  Constant Field Values

### TokenNameMINUS_MINUS

    public static final int TokenNameMINUS_MINUS

See Also:
  Constant Field Values

### TokenNameEQUAL_EQUAL

    public static final int TokenNameEQUAL_EQUAL

See Also:
  Constant Field Values

### TokenNameLESS_EQUAL

    public static final int TokenNameLESS_EQUAL

See Also:
  Constant Field Values

### TokenNameGREATER_EQUAL

    public static final int TokenNameGREATER_EQUAL

See Also:
  Constant Field Values

### TokenNameNOT_EQUAL

    public static final int TokenNameNOT_EQUAL

See Also:
  Constant Field Values

### TokenNameLEFT_SHIFT

    public static final int TokenNameLEFT_SHIFT

See Also:
  Constant Field Values

### TokenNameRIGHT_SHIFT

    public static final int TokenNameRIGHT_SHIFT

See Also:
  Constant Field Values

### TokenNameUNSIGNED_RIGHT_SHIFT

    public static final int TokenNameUNSIGNED_RIGHT_SHIFT

See Also:
  Constant Field Values

### TokenNamePLUS_EQUAL

    public static final int TokenNamePLUS_EQUAL

See Also:
  Constant Field Values

### TokenNameMINUS_EQUAL

    public static final int TokenNameMINUS_EQUAL

See Also:
  Constant Field Values

### TokenNameMULTIPLY_EQUAL

    public static final int TokenNameMULTIPLY_EQUAL

See Also:
  Constant Field Values

### TokenNameDIVIDE_EQUAL

    public static final int TokenNameDIVIDE_EQUAL

See Also:
  Constant Field Values

### TokenNameAND_EQUAL

    public static final int TokenNameAND_EQUAL

See Also:
  Constant Field Values

### TokenNameOR_EQUAL

    public static final int TokenNameOR_EQUAL

See Also:
  Constant Field Values

### TokenNameXOR_EQUAL

    public static final int TokenNameXOR_EQUAL

See Also:
  Constant Field Values

### TokenNameREMAINDER_EQUAL

    public static final int TokenNameREMAINDER_EQUAL

See Also:
  Constant Field Values

### TokenNameLEFT_SHIFT_EQUAL

    public static final int TokenNameLEFT_SHIFT_EQUAL

See Also:
  Constant Field Values

### TokenNameRIGHT_SHIFT_EQUAL

    public static final int TokenNameRIGHT_SHIFT_EQUAL

See Also:
  Constant Field Values

### TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

    public static final int TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

See Also:
  Constant Field Values

### TokenNameOR_OR

    public static final int TokenNameOR_OR

See Also:
  Constant Field Values

### TokenNameAND_AND

    public static final int TokenNameAND_AND

See Also:
  Constant Field Values

### TokenNamePLUS

    public static final int TokenNamePLUS

See Also:
  Constant Field Values

### TokenNameMINUS

    public static final int TokenNameMINUS

See Also:
  Constant Field Values

### TokenNameNOT

    public static final int TokenNameNOT

See Also:
  Constant Field Values

### TokenNameREMAINDER

    public static final int TokenNameREMAINDER

See Also:
  Constant Field Values

### TokenNameXOR

    public static final int TokenNameXOR

See Also:
  Constant Field Values

### TokenNameAND

    public static final int TokenNameAND

See Also:
  Constant Field Values

### TokenNameMULTIPLY

    public static final int TokenNameMULTIPLY

See Also:
  Constant Field Values

### TokenNameOR

    public static final int TokenNameOR

See Also:
  Constant Field Values

### TokenNameTWIDDLE

    public static final int TokenNameTWIDDLE

See Also:
  Constant Field Values

### TokenNameDIVIDE

    public static final int TokenNameDIVIDE

See Also:
  Constant Field Values

### TokenNameGREATER

    public static final int TokenNameGREATER

See Also:
  Constant Field Values

### TokenNameLESS

    public static final int TokenNameLESS

See Also:
  Constant Field Values

### TokenNameLPAREN

    public static final int TokenNameLPAREN

See Also:
  Constant Field Values

### TokenNameRPAREN

    public static final int TokenNameRPAREN

See Also:
  Constant Field Values

### TokenNameLBRACE

    public static final int TokenNameLBRACE

See Also:
  Constant Field Values

### TokenNameRBRACE

    public static final int TokenNameRBRACE

See Also:
  Constant Field Values

### TokenNameLBRACKET

    public static final int TokenNameLBRACKET

See Also:
  Constant Field Values

### TokenNameRBRACKET

    public static final int TokenNameRBRACKET

See Also:
  Constant Field Values

### TokenNameSEMICOLON

    public static final int TokenNameSEMICOLON

See Also:
  Constant Field Values

### TokenNameQUESTION

    public static final int TokenNameQUESTION

See Also:
  Constant Field Values

### TokenNameCOLON

    public static final int TokenNameCOLON

See Also:
  Constant Field Values

### TokenNameCOMMA

    public static final int TokenNameCOMMA

See Also:
  Constant Field Values

### TokenNameDOT

    public static final int TokenNameDOT

See Also:
  Constant Field Values

### TokenNameEQUAL

    public static final int TokenNameEQUAL

See Also:
  Constant Field Values

### TokenNameEOF

    public static final int TokenNameEOF

See Also:
  Constant Field Values

### TokenNameERROR

    public static final int TokenNameERROR

See Also:
  Constant Field Values

### TokenNameenum

    public static final int TokenNameenum

  "enum" keyword (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

### TokenNameAT

    public static final int TokenNameAT

  "@" token (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

### TokenNameELLIPSIS

    public static final int TokenNameELLIPSIS

  "..." token (added in J2SE 1.5).

  Since:
    3.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.